/*

  Flame Sensor Module 3 pin (Digital)

  Parts required:
  - Arduino Board
  - Flame Sensor Module 3 pin (Digital)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 27 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

  INPORTENT:
  If the flame module is not working you can run the flame sensor calibratior program 

*/

int digitalReadPin = 7;                           // set digitalReadPin to pin 7
int digitalReadValue;                             // set digitalReadValue as an integer

void setup() {
  Serial.begin(9600);
  pinMode(digitalReadPin, INPUT);                 // set digitalReadPin as INPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin); // read value of digitalReadPin and store in digitalReadValue

  if (digitalReadValue == LOW) {                  // if digitalReadValue == HIGH
    Serial.println("Flame detected...");          // print text to Serial Monitor
  }
  delay(500);                                     // wait 500ms
}
